/[gentoo-x86]/eclass/php-pear-lib-r1.eclass
Gentoo

Diff of /eclass/php-pear-lib-r1.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.3 Revision 1.11
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2007 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.3 2006/01/05 09:11:39 sebastian Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.11 2007/03/22 20:12:56 chtekk Exp $
4# 4#
5# Author: Luca Longinotti <chtekk@gentoo.org> 5# Author: Luca Longinotti <chtekk@gentoo.org>
6# Maintained by the PHP Herd <php-bugs@gentoo.org> 6# Maintained by the PHP Team <php-bugs@gentoo.org>
7#
8# Based on Tal Peer's <coredumb@gentoo.org> work on php-pear.eclass.
9# 7#
10# The php-pear-lib-r1 eclass provides means for an easy installation of PEAR 8# The php-pear-lib-r1 eclass provides means for an easy installation of PEAR
11# based libraries, such as Creole, Jargon, Phing etc., while retaining 9# based libraries, such as Creole, Jargon, Phing etc., while retaining
12# the functionality to put the libraries into version-dependant dirs. 10# the functionality to put the libraries into version-dependant directories.
13 11
14inherit depend.php 12inherit depend.php
15 13
16EXPORT_FUNCTIONS src_install 14EXPORT_FUNCTIONS src_install
17 15
18# We must depend on the base package as we need it to let
19# PEAR work, as well as PEAR itself.
20DEPEND="${DEPEND} dev-lang/php >=dev-php/PEAR-PEAR-1.3.6" 16DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.4.6"
21RDEPEND="${RDEPEND} ${DEPEND}" 17RDEPEND="${DEPEND}"
22 18
23php-pear-lib-r1_src_install() { 19php-pear-lib-r1_src_install() {
24 has_php 20 has_php
25 21
26 # SNMP support 22 # SNMP support
27 addpredict /usr/share/snmp/mibs/.index 23 addpredict /usr/share/snmp/mibs/.index
28 addpredict /var/lib/net-snmp/ 24 addpredict /var/lib/net-snmp/
25 addpredict /session_mm_cli0.sem
29 26
30 case "${CATEGORY}" in 27 case "${CATEGORY}" in
31 dev-php) 28 dev-php)
32 if has_version '=dev-lang/php-5*' ; then 29 if has_version '=dev-lang/php-5*' ; then
33 PHP_BIN="/usr/lib/php5/bin/php" 30 PHP_BIN="/usr/lib/php5/bin/php"
34 else 31 else
35 PHP_BIN="/usr/lib/php4/bin/php" 32 PHP_BIN="/usr/lib/php4/bin/php"
36 fi ;; 33 fi ;;
37 dev-php4) PHP_BIN="/usr/lib/php4/bin/php" ;; 34 dev-php4) PHP_BIN="/usr/lib/php4/bin/php" ;;
38 dev-php5) PHP_BIN="/usr/lib/php5/bin/php" ;; 35 dev-php5) PHP_BIN="/usr/lib/php5/bin/php" ;;
39 *) die "I don't know which version of PHP packages in ${CATEGORY} require" 36 *) die "Version of PHP required by packages in category ${CATEGORY} unknown"
40 esac 37 esac
41 38
42 cd "${S}" 39 cd "${S}"
43 mv "${WORKDIR}/package.xml" "${S}" 40 mv -f "${WORKDIR}/package.xml" "${S}"
44 pear -d php_bin="${PHP_BIN}" install --nodeps --installroot="${D}" "${S}/package.xml" || die "Unable to install PEAR package"
45 41
42 if has_version '>=dev-php/PEAR-PEAR-1.4.8' ; then
43 pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
44 else
45 pear -d php_bin="${PHP_BIN}" install --nodeps --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
46 fi
47
48 rm -Rf "${D}/usr/share/php/.channels" \
49 "${D}/usr/share/php/.depdblock" \
50 "${D}/usr/share/php/.depdb" \
46 rm -rf "${D}/usr/share/php/.filemap" \ 51 "${D}/usr/share/php/.filemap" \
47 "${D}/usr/share/php/.lock" \ 52 "${D}/usr/share/php/.lock" \
48 "${D}/usr/share/php/.registry" 53 "${D}/usr/share/php/.registry"
49 54
50 # install to the correct phpX folder, if not specified 55 # install to the correct phpX folder, if not specified
51 # /usr/share/php will be kept, also sedding to sobstitute 56 # /usr/share/php will be kept, also sedding to substitute
52 # the path, many files can specify it wrongly 57 # the path, many files can specify it wrongly
53 if [ -n "${PHP_SHARED_CAT}" ] && [ "${PHP_SHARED_CAT}" != "php" ] ; then 58 if [[ -n "${PHP_SHARED_CAT}" ]] && [[ "${PHP_SHARED_CAT}" != "php" ]] ; then
54 mv -f "${D}/usr/share/php" "${D}/usr/share/${PHP_SHARED_CAT}" || die "Unable to move files" 59 mv -f "${D}/usr/share/php" "${D}/usr/share/${PHP_SHARED_CAT}" || die "Unable to move files"
55 find "${D}/" -type f -exec sed -e "s|/usr/share/php|/usr/share/${PHP_SHARED_CAT}|g" -i {} \; || die "Unable to change PHP path" 60 find "${D}/" -type f -exec sed -e "s|/usr/share/php|/usr/share/${PHP_SHARED_CAT}|g" -i {} \; || die "Unable to change PHP path"
56 einfo 61 einfo
57 einfo "Installing to /usr/share/${PHP_SHARED_CAT} ..." 62 einfo "Installing to /usr/share/${PHP_SHARED_CAT} ..."
58 einfo 63 einfo

Legend:
Removed from v.1.3  
changed lines
  Added in v.1.11

  ViewVC Help
Powered by ViewVC 1.1.20